python2-libprelude-5.0.0-1.1.x86_64.rpm


Advertisement

Description

python2-libprelude - Python 2 bindings for libprelude

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-libprelude-5.0.0-1.1.x86_64.rpm
Package name python2-libprelude
Package version 5.0.0
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage https://www.prelude-siem.org
License GPL-2.0-or-later AND LGPL-2.1-only AND GPL-3.0-or-later
Maintainer -
Download size 101.82 KB
Installed size 389.88 KB
Python 2 bindings for libprelude generated by SWIG.

Alternatives

Package Version Architecture Repository
python2-libprelude-5.0.0-1.1.i586.rpm 5.0.0 i586 openSUSE Oss
python2-libprelude - - -

Requires

Name Value
libc.so.6(GLIBC_2.22)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libprelude.so.28()(64bit) -
libprelude28 = 5.0.0
libpreludecpp.so.8()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpython2.7.so.1.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
python = 2.7
python(abi) = 2.7

Provides

Name Value
python-libprelude = 5.0.0
python2-libprelude = 5.0.0-1.1
python2-libprelude(x86-64) = 5.0.0-1.1

Obsoletes

Name Value
python-libprelude < 5.0.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-libprelude-5.0.0-1.1.x86_64.rpm
Source Package libprelude-5.0.0-1.1.src.rpm

Install Howto

Install python2-libprelude rpm package:

# zypper install python2-libprelude

Files

Path
/usr/lib64/python2.7/site-packages/_prelude.so
/usr/lib64/python2.7/site-packages/prelude-5.0.0-py2.7.egg-info
/usr/lib64/python2.7/site-packages/prelude.py
/usr/lib64/python2.7/site-packages/prelude.pyc

Changelog

2019-03-01 - thomas.andrejak@gmail.com
Bump version 5.0.0
- Remove patchs included in new version
- libprelude-fix_compatibility_gnutls_3_6.patch
- libprelude-gtk-doc.patch
- Add new patch for 64bit portability
- libprelude-fix_64bit_portability_issues.patch
2017-10-04 - thomas.andrejak@gmail.com
- Bump to libprelude 4.0.0
- Add patchs:
- libprelude-disable_gnulib_test_lock.patch: Known bug on gnulib side and
will be fixed
- libprelude-fix_prelude_tests_timer.patch: Wrong test
- libprelude-fix_pthread_atfork.patch: pthread_atfork was automatically
linked before but not anymore
- libprelude-fix_timegm.patch: Fix time comparaison
- libprelude-fsf-address.patch: Wrong FSF address
- libprelude-gtk-doc.patch: gtk-doc removed gtkdoc-tmpl so gtk-doc.make and
gtk-doc.m4 need to be updated
- libprelude-linking.patch: Correctly link for Perl bindings
- libprelude-fix_compatibility_gnutls_3_6.patch: Fix compatibility with
GnuTLS 3.6
- Remove libgcrypt-devel from BuildRequires since upstream totally move to
gnutls
- Rename python-prelude to python2-prelude
2017-04-25 - thomas.andrejak@gmail.com
- Rename %soname to %sover to better reflect its use
2016-11-27 - thomas.andrejak@gmail.com
- Update to 3.1.0 (Prelude 3.1.0 released on 14 Sept 2016)
- Remove unnecessary patches
- libprelude-fsf-address.patch
- libprelude-rpm-opt-flags.patch
- libprelude-ruby-include-path.patch
- libprelude-python-swig.patch
- libprelude-ruby-swig.patch
- Use a lib directory with soname
- Spec-Cleaner
2016-05-02 - thomas.andrejak@gmail.com
- Update to 3.0.0 (Prelude 3.0.0 released on 22 Apr 2016)
- Add few patches to build with all bindings and reduce rpmlint
notices :
* libprelude-fsf-address.patch
* Correct the Free Software Foundation address
* libprelude-python-swig.patch
* Regenerate swig file to compile with Python 3.4 and newer
* libprelude-ruby-swig.patch
* Temporary fix http://bugs.ruby-lang.org/issues/11962
* libprelude-ruby-include-path.patch
* Fix ruby include path. Instead, we can not turn ruby
binding on
* libprelude-rpm-opt-flags.patch
* Fix libprelude do not load global CFLAGS for
libprelude-error
- We now build all bindings, adding :
* lua-libprelude
* python3-libprelude
* ruby-libprelude
- Create a new package with only tools files because packages
started with "lib" do not have to come with tools. Name of the
package : prelude-tools
- Precise license :
* Prelude is GPL-2.0+
* libmissing is LGPL-2.1+
* libmissing/test is GPL-3.0+
- Remove support for older SUSE than 12 since libprelude do not
compile on it
2015-11-14 - mardnh@gmx.de
- update to 1.2.6
- removed patches (all fixed upstream)
* opensuse12_compile.patch
* libprelude-1.0.1-fixgnulib.patch
* libprelude-1.0.0-gcc46.patch
* libprelude-sles12sp2.patch
* libprelude-fixlibgnutls3.0.5.patch
* libprelude-ruby1.9.patch
* libprelude-fsf-address.patch
* libprelude-swig-3.0.patch
- disabled lua and ruby bindings for now
2015-01-26 - dimstar@opensuse.org
- Add libprelude-swig-3.0.patch: Fix build with swig 3.0.
2013-07-09 - schwab@suse.de
- Override broken configure checks
2013-04-09 - Greg.Freemyer@gmail.com
- change license to GPLv3.0+ due to libmissing being incorporated (bnc#814000)
- remove requirement for libgnutls-devel as done previously (see below)
2013-04-05 - pth@suse.de
- Add a definition of perl_gen_filelist for SLE11 to the spec file.

See Also

Package Description
python2-libpreludedb-5.0.0-2.1.i586.rpm Python 2 bindings for libpreludedb
python2-libpreludedb-5.0.0-2.1.x86_64.rpm Python 2 bindings for libpreludedb
python2-libqcow-0~20170222-2.4.i586.rpm Python 2 bindings for libqcow
python2-libqcow-0~20170222-2.4.x86_64.rpm Python 2 bindings for libqcow
python2-librosa-0.6.3-1.1.noarch.rpm Python module for audio and music processing
python2-libsass-0.18.0-1.1.i586.rpm Python binding for libsass
python2-libsass-0.18.0-1.1.x86_64.rpm Python binding for libsass
python2-libscca-0~20170205-2.5.i586.rpm Python 2 bindings for libscca
python2-libscca-0~20170205-2.5.x86_64.rpm Python 2 bindings for libscca
python2-libsigscan-0~20170124-2.6.i586.rpm Python 2 bindings for libsigscan
python2-libsigscan-0~20170124-2.6.x86_64.rpm Python 2 bindings for libsigscan
python2-libsmdev-0~20170225-1.8.i586.rpm Python bindings for libsmdev
python2-libsmdev-0~20170225-1.8.x86_64.rpm Python bindings for libsmdev
python2-libsmraw-0~20170803-2.5.i586.rpm Python 2 bindings for libsmraw
python2-libsmraw-0~20170803-2.5.x86_64.rpm Python 2 bindings for libsmraw
Advertisement
Advertisement